﻿using Infragistics.Win.UltraWinDock;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Hide_TabPage_CAS_205505_W5C0Q0
{
    public partial class Form1 : Form
    {
        int tabHeight = 0;
        public Form1()
        {
            InitializeComponent();

            tabHeight = this.ultraTabControl1.TabPageSize.Height;

            DockableControlPane paneSolution = new DockableControlPane("tabcontrol");
            paneSolution.Control = this.ultraTabControl1;

            DockableGroupPane tabGroup = new DockableGroupPane();
            tabGroup.Panes.Add(paneSolution);

            // Create a dock area pane that is docked on the right side of the container
            DockAreaPane dockArea = new DockAreaPane(DockedLocation.DockedTop);
            dockArea.Panes.Add(tabGroup);

            this.ultraDockManager1.DockAreas.Add(dockArea);

            this.ultraTabControl1.DoubleClick += new EventHandler(ultraTabContril_DoubleClick); 

        }
    
        private void ultraTabContril_DoubleClick(object sender, EventArgs e)
        {
            if (this.ultraTabControl1.TabPageSize.Height != 0)
            {
                this.ultraTabControl1.TabPageSize = new Size(ultraTabControl1.TabPageSize.Width, 0);
            }
            else
            {
                if (tabHeight != 0)
                {
                    this.ultraTabControl1.TabPageSize = new Size(ultraTabControl1.TabPageSize.Width, tabHeight);
                }
                else
                {
                    this.ultraTabControl1.TabPageSize = new Size(ultraTabControl1.TabPageSize.Width, 150);
                }
            }
           
        }

        private void ultraTabSharedControlsPage1_Paint(object sender, PaintEventArgs e)
        {

        }
    }
}
